Opened 6 months ago

Closed 6 months ago

#10744 closed enhancement (fixed)

Update Weblate

Reported by: scootergrisen Owned by: Mataniko
Priority: normal Component: Web
Keywords: Cc:
Game:

Description

I suggest updating Weblate on https://translations.scummvm.org/ .
That way i can use it in my language and it will properly fix alot of other stuff.

Change History (12)

comment:1 Changed 6 months ago by scootergrisen

Owner: set to mataniko@…

comment:2 Changed 6 months ago by scootergrisen

Owner: changed from mataniko@… to Mataniko

comment:3 Changed 6 months ago by digitall

Component: --Unset--Web

comment:5 Changed 6 months ago by digitall

We are currently running v2.9

comment:6 Changed 6 months ago by Mataniko

We'll need to update from 2.9 to 3.0.1 and then to the latest. Before any upgrade I'll need to look up how it was originally installed since there are multiple ways to set it up.

comment:7 Changed 6 months ago by criezy

@Mataniko: I will send you this evening the notes I took when installing it. I may forget through, so if you don't receive the email and see me on IRC don't hesitate to remind me.

Also the weblate configuration itself should be in the scummvm-setup repo.

And also thank you for looking at this :-)

Note: currently it uses sqlite, which works, but regularly sends 'database locked' warnings. Migrating to a proper database might be a good idea, especially if one is going to be installed for the need of the forum and wiki (assuming the plan is to move those to the same server).

comment:8 Changed 6 months ago by digitall

@Mataniko, @criezy: Thanks for looking at this!

comment:9 Changed 6 months ago by digitall

@scootergrisen: Mataniko has updated the translations from v2.9 to v2.11 currently...

comment:10 Changed 6 months ago by Mataniko

Just to add, updating weblate is not trivial, the last attempt had various points of failure leading to downtime.

I'm going to try and figure out a better upgrade path to 3.2.1 before making any more attempts on the server.

comment:11 Changed 6 months ago by digitall

@Mataniko: I suspected that would be the reason as the major version bump from v2 to v3 would probably require some config or similar changes. Thanks for the work so far and sorting this out.

comment:12 Changed 6 months ago by Mataniko

Resolution: fixed
Status: newclosed

Upgrade has been completed. There's a little more work on the backend, but it should be done.

Note: See TracTickets for help on using tickets.